Add ruby-pwsh gem

This patch adds the `ruby-pwsh` gem:

  https://github.com/puppetlabs/ruby-pwsh

This gem is used by the puppetlabs/powershell Puppet module, so we
need to install it in order to test code using that module. Without
it, the tests will fail with an error:

> Could not autoload puppet/provider/exec/powershell: cannot load such
> file -- ruby-pwsh
1 job for add_ruby_pwsh in 1 minute and 14 seconds (queued for 2 seconds)
Status Job ID Name Coverage
  Build
passed #104703
build

00:01:14